NXOpen.UF.Modeling.AskCnncEdges

Modeling.AskCnncEdges()

Refer to UF_MODL_ask_cnnc_edges for documentation.

Signature: AskCnncEdges(edge, reference)

Parameters:
  • edge (Tag) – Edge object identifier
  • reference (list of float) – 3D point to determine the first endpoint of`edge’
Returns:

A Tuple

Return type:

A tuple consisting of (edges1,edges2)

edges1(`NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.`): Address of list of object identifiers of edges connected at the endpoint closer to `reference’. Use UF_MODL_delete_list to free space allocated for this linked list.

edges2(`NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.`): Address of list of object identifiers of edges connected at the endpoint further from `reference’. Use UF_MODL_delete_list to free space allocated for this linked list.

License requirements: None